### Method

# GdkX11 X11Surfaceset_theme_variant

#### Declaration [src]

    void
    gdk_x11_surface_set_theme_variant (
      GdkSurface* surface,
      const char* variant
    )

#### Description [src]

GTK applications can request a dark theme variant. In order to make other applications - namely window managers using GTK for themeing - aware of this choice, GTK uses this function to export the requested theme variant as _GTK_THEME_VARIANT property on toplevel surfaces.

Note that this property is automatically updated by GTK, so this function should only be used by applications which do not use GTK to create toplevel surfaces.

#### Parameters

`variant`

  Type: `const char*`

  The theme variant to export.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.